Package org.apache.felix.http.base.internal.console

## Class HttpServicePlugin

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.apache.felix.http.base.internal.console.HttpServicePlugin

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

    public class HttpServicePlugin
    extends javax.servlet.http.HttpServlet

This is a web console plugin.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`HttpServicePlugin​(org.osgi.framework.BundleContext context, org.osgi.service.http.runtime.HttpServiceRuntime runtime)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `doGet​(javax.servlet.http.HttpServletRequest req, javax.servlet.http.HttpServletResponse resp)`
`protected void` `doPost​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `printConfiguration​(PrintWriter pw)`
`void` `register()`
`void` `unregister()`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### HttpServicePlugin

    public HttpServicePlugin​(org.osgi.framework.BundleContext context,
                             org.osgi.service.http.runtime.HttpServiceRuntime runtime)

### Method Detail

#### register

    public void register()

#### doPost

    protected void doPost​(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          IOException

Overrides:
  `doPost` in class `javax.servlet.http.HttpServlet`
Throws:
  `javax.servlet.ServletException`
  `IOException`

#### doGet

    protected void doGet​(javax.servlet.http.HttpServletRequest req,
                         javax.servlet.http.HttpServletResponse resp)
                  throws IOException

Overrides:
  `doGet` in class `javax.servlet.http.HttpServlet`
Throws:
  `IOException`

#### printConfiguration

    public void printConfiguration​(PrintWriter pw)

See Also:
  `org.apache.felix.webconsole.ConfigurationPrinter#printConfiguration(java.io.PrintWriter)`

#### unregister

    public void unregister()